Skip to content

Interface: RegisterRequest

Interface: RegisterRequest

Defined in: dto/auth.ts:66

POST /auth/register request body.

Properties

app_code?

optional app_code?: string

Defined in: dto/auth.ts:77


display_name?

optional display_name?: string

Defined in: dto/auth.ts:72


email

email: string

Defined in: dto/auth.ts:67


first_name

first_name: string

Defined in: dto/auth.ts:69


invite_code?

optional invite_code?: string

Defined in: dto/auth.ts:75


invite_token?

optional invite_token?: string

Defined in: dto/auth.ts:76


last_name

last_name: string

Defined in: dto/auth.ts:70


mode?

optional mode?: "register" | "register_or_login" | "register_or_return"

Defined in: dto/auth.ts:80

“register” (default) / “register_or_login” / “register_or_return” (service-only). AUDIT 8.1.


organization_id?

optional organization_id?: string

Defined in: dto/auth.ts:73


organization_name?

optional organization_name?: string

Defined in: dto/auth.ts:74


password

password: string

Defined in: dto/auth.ts:68


phone?

optional phone?: string

Defined in: dto/auth.ts:71